/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename slots use Qt Designer which will
** update this file, preserving your code. Create an init() slot in place of
** a constructor, and a destroy() slot in place of a destructor.
*****************************************************************************/


void URLList::slotSelectionChanged( QListBoxItem * item)
{
  if(item)
    {
	urlLineEdit->setText( item->text() );
    }
}

void URLList::slotAddURL()
{
  if( !urlLineEdit->text().isEmpty() )
    {
	QListBoxText * newItem = new QListBoxText(urlListBox, urlLineEdit->text());
	if( !newItem )
	{
	    qDebug("slotAddURL: cannot insert a new URL");
	}
    }
}

void URLList::slotRemoveURL()
{
  QListBoxItem * item = urlListBox->selectedItem();
  
  if(item)
  {
    delete item;
    item = 0L;
  }
}

void URLList::slotUp()
{
  QListBoxItem * item = urlListBox->selectedItem();
  
  if(item && item != urlListBox->firstItem())
  {
    QListBoxItem * prev = item->prev();
    if(prev)
    {
      urlListBox->takeItem(prev);
      urlListBox->insertItem(prev, item);
      urlListBox->setCurrentItem(item);
      urlListBox->setSelected(item, true);
    }
  }
}

void URLList::slotDown()
{
  QListBoxItem * item = urlListBox->selectedItem();
  
  if(item)
  {
    QListBoxItem * next = item->next();
    if(next)
    {
      urlListBox->takeItem(item);
      urlListBox->insertItem(item, next);
      urlListBox->setCurrentItem(item);
      urlListBox->setSelected(item, true);
    }
  }
}
