include(../../../defines.pri)

TEMPLATE  = lib
CONFIG   += dll

win32 {
TARGET    = libkomcontactsplugin
DEFINES  += CONTACT_PLUGIN_EXPORTS
}

unix {
TARGET    = komcontactsplugin
VERSION   = 1.0.0
}

INCLUDEPATH += .
INCLUDEPATH += ../../
INCLUDEPATH += ../../..
DEPENDPATH  += ../../
DEPENDPATH  += ../../..
INCLUDEPATH += ../../clientskel/
DEPENDPATH  += ../../clientskel/
INCLUDEPATH += ../../aethera/
DEPENDPATH  += ../../aethera/
INCLUDEPATH += ../../../src/
DEPENDPATH  += ../../../src/
INCLUDEPATH += ../../tino/
DEPENDPATH  += ../../tino/
INCLUDEPATH += ../../plugins/kommailplugin/
DEPENDPATH  += ../../plugins/kommailplugin/

FORMS    += \
  contactexportsetupbase.ui\
  contactsimportsetupbase.ui\
  komcontactsconfigwidget.ui \
  summarywidgetbase.ui

HEADERS   =\
  addresslineedit.h\
  addressbookview.h\
  ataddressbook.h\
  attendee.h\
  attendeelist.h\
  contacteditdialog.h\
  contacteditor.h\
  contactobject.h\
  contactpreviewwidget.h\
  contactrichtextfactory.h\
  contactsexportsetup.h\
  contactsimportsetup.h\
  contactsfactory.h\
  contactslanguageservice.h\
  contactsmainwidget.h\
  contactskolabinterface.h\
  contactslinkfactory.h\
  contactslistview.h\
  contactslistviewitem.h\
  contactsearchservice.h\
  contactsuipartprivate.h\
  komcontactsbackendservice.h\
  komcontactsconfigservice.h\
  komcontactsplugin.h\
  komcontactsrmiservice.h\
  komcontactsuiservice.h\
  metaline.h\
  metaobject.h\
  metaquality.h\
  objectslist.h\
  qseparator.h\
  rdate.h\
  rrule.h\
  timezones.h\
  vcard.h\
  vcontactobject.h\
  vidlist.h\
  vtimezone.h\
  vtimezonecomponent.h\
  komcontactsmaintreeinterface.h\
  komcontactsmaintreeslots.h\
  vfscontactlist.h\
  vfscontactlistview.h\
  vfscontactpreview.h


SOURCES   =\
  addresslineedit.cpp\
  addressbookview.cpp\
  ataddressbook.cpp\
  attendee.cpp\
  attendeelist.cpp\
  contacteditdialog.cpp\
  contacteditor.cpp\
  contactobject.cpp\
  contactpreviewwidget.cpp\
  contactrichtextfactory.cpp\
  contactsexportsetup.cpp\
  contactsimportsetup.cpp\
  contactsfactory.cpp\
  contactskolabinterface.cpp\
  contactslanguageservice.cpp\
  contactsmainwidget.cpp\
  contactslinkfactory.cpp\
  contactslistview.cpp\
  contactslistviewitem.cpp\
  contactsearchservice.cpp\
  contactsuipartprivate.cpp\
  komcontactsbackendservice.cpp\
  komcontactsconfigservice.cpp\
  komcontactsplugin.cpp\
  komcontactsrmiservice.cpp\
  komcontactsuiservice.cpp\
  metaline.cpp\
  metaobject.cpp\
  metaquality.cpp\
  objectslist.cpp\
  qseparator.cpp\
  quality.cpp\
  rdate.cpp\
  rrule.cpp\
  timezones.cpp\
  vcard.cpp\
  vcontactobject.cpp\
  vidlist.cpp\
  vtimezone.cpp\
  vtimezonecomponent.cpp\
  komcontactsmaintreeinterface.cpp\
  komcontactsmaintreeslots.cpp\
  vfscontactlist.cpp\
  vfscontactlistview.cpp\
  vfscontactpreview.cpp

TRANSLATIONS  = \
  contactsplugin_ro.ts \
  contactsplugin_fr.ts \
  contactsplugin_de.ts \
  contactsplugin_en.ts

win32 {
LIBS  += ../../aethera/aethera.lib ../../tino/tino.lib
LIBS  += tkcbase.lib tkcssl.lib libkore.lib
}

unix {
  LIBS  += -L../../aethera -L../../tino -L/usr/local/lib -laethera -lkore -ltino -ltkcbase
  
contactsplugin.path   = $$AETHERA_DIR/plugins/
contactsplugin.files  = lib*.so.1.0.0
INSTALLS             += contactsplugin

  contactsplugin.extra = \
  cd $$AETHERA_DIR/plugins; \
  rm -f libkomcontactsplugin.so.1.0; \
  ln -s libkomcontactsplugin.so.1.0.0 \
        libkomcontactsplugin.so.1.0; \
  rm -f libkomcontactsplugin.so.1; \
  ln -s libkomcontactsplugin.so.1.0 \
        libkomcontactsplugin.so.1; \
  rm -f libkomcontactsplugin.so; \
  ln -s libkomcontactsplugin.so.1 \
        libkomcontactsplugin.so
        
  includes.path    = $$AETHERA_INCLUDE/libs/plugins/komcontactsplugin
  includes.files   = $$HEADERS
  INSTALLS         += includes
}
