/*
_____________________________________________________________________________

    File name:composerconfigwidgetbase.h
    Begin date: 16 April 2003
    Copyright: (C)2003 by theKompany.com
    Author: Vlad Bodi
    Description: abstract class that defines the API for the Settings/Config TAB
_____________________________________________________________________________
    Copyright (C) 2001-2002 by theKompany.com <www.thekompany.com>
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    In addition, as a special exception, theKompany.com gives permission
    to link the code of this program with the tkwidgets library (or with
    modified versions of tkwidgets that use the same license as tkwidgets),
    and distribute linked combinations including the two.  You must obey
    the GNU General Public License in all respects for all of the code used
    other than tkwidgets.  If you modify this file, you may extend this
    exception to your version of the file, but you are not obligated to do so.
    If you do not wish to do so, delete this exception statement from your
    version.

    This license grants you the ability to use tkwidgets with Aethera only
    and may not be used outside of Aethera.
    See also http://www.thekompany.com/products/license.txt for details.
*/

#ifndef COMPOSER_CONFIG_WIDGET_H
#define COMPOSER_CONFIG_WIDGET_H

//mailplugin includes
#include <composerconfigwidgetbase.h>
#include <settings.h>

class ComposerConfigWidget : public ComposerConfigWidgetBase
{
  Q_OBJECT

  public:
    ComposerConfigWidget(QWidget* parent=0, const char* name=0);
    ~ComposerConfigWidget();

    QString signatureFile();
   
  protected slots:
    QString slotChooseSignature();

  private:
    QString signatureFilePath;
};

#endif

