include(../../../defines.pri)

TEMPLATE  = lib
CONFIG   += dll

win32 {
TARGET    = libkomnotesplugin
DEFINES  += NOTE_PLUGIN_EXPORTS
}

unix {
TARGET    = komnotesplugin
VERSION   = 1.0.0
}

INCLUDEPATH += .
INCLUDEPATH += ../../
DEPENDPATH  += ../../
INCLUDEPATH += ../../..
DEPENDPATH  += ../../..
INCLUDEPATH += ../../aethera/
DEPENDPATH  += ../../aethera/
INCLUDEPATH += ../../clientskel/
DEPENDPATH  += ../../clientskel/
INCLUDEPATH += ../../plugins/kommailplugin/
DEPENDPATH  += ../../plugins/kommailplugin/

FORMS   +=  notesconfigwidgetbase.ui

HEADERS =\
  komnotesbackendservice.h\
  komnotesconfigservice.h\
  komnotesplugin.h\
  komnotesuiservice.h\
  komnotesmaintreeinterface.h\
  komnotesmaintreeslots.h\
  komnotesrmiservice.h\
  notesconfigwidget.h\
  notesiconviewitem.h\
  notesmainwidget.h\
  notesuipartprivate.h\
  noteobject.h\
  notepreview.h\
  noteskolabinterface.h\
  noteslanguageservice.h\
  noteedit.h\
  notewindow.h\
  vfsnotelist.h\
  vfsnotelistview.h\
  vfsnoteiconview.h\
  vfsnotepreview.h\
  vnoteobject.h

SOURCES +=\
  komnotesbackendservice.cpp\
  komnotesconfigservice.cpp\
  komnotesplugin.cpp\
  komnotesuiservice.cpp\
  komnotesmaintreeinterface.cpp\
  komnotesmaintreeslots.cpp\
  komnotesrmiservice.cpp\
  notesconfigwidget.cpp\
  notesiconviewitem.cpp\
  notepreview.cpp\
  notesmainwidget.cpp\
  notesuipartprivate.cpp\
  noteobject.cpp\
  noteedit.cpp\
  noteskolabinterface.cpp\
  noteslanguageservice.cpp\
  notewindow.cpp\
  vfsnotelist.cpp\
  vfsnotelistview.cpp\
  vfsnoteiconview.cpp\
  vfsnotepreview.cpp\
  vnoteobject.cpp

TRANSLATIONS  = \
  notesplugin_ro.ts \
  notesplugin_fr.ts \
  notesplugin_de.ts \
  notesplugin_en.ts

win32 {
LIBS  += ../../aethera/aethera.lib ../../tino/tino.lib
LIBS  += tkcbase.lib tkcssl.lib libkore.lib
}

unix {
  LIBS  += -L../../aethera -L../../tino -L/usr/local/lib -laethera -lkore -ltino -ltkcbase
  
language.path  = $$AETHERA_DIR/plugins/
language.files = notes_language/ 
INSTALLS      += language
  
notesplugin.path   = $$AETHERA_DIR/plugins/
notesplugin.files  = lib*.so.1.0.0
INSTALLS          += notesplugin

  notesplugin.extra = \
  cd $$AETHERA_DIR/plugins; \
  rm -f libkomnotesplugin.so.1.0; \
  ln -s libkomnotesplugin.so.1.0.0 \
        libkomnotesplugin.so.1.0; \
  rm -f libkomnotesplugin.so.1; \
  ln -s libkomnotesplugin.so.1.0 \
        libkomnotesplugin.so.1; \
  rm -f libkomnotesplugin.so; \
  ln -s libkomnotesplugin.so.1 \
        libkomnotesplugin.so
}
