include(../../defines.pri)
TEMPLATE  = lib
TARGET    = server
VERSION   = 1.0.0
CONFIG   += staticlib

INCLUDEPATH += .
INCLUDEPATH += ../libimap/
DEPENDPATH  += ../libimap/
INCLUDEPATH += ../netaccess/
DEPENDPATH  += ../netaccess/
INCLUDEPATH += ../mailparsers/
DEPENDPATH  += ../mailparsers/
INCLUDEPATH += ../aethera/
DEPENDPATH  += ../aethera/
INCLUDEPATH += ../protocols/
DEPENDPATH  += ../protocols/
INCLUDEPATH += ../htmlprocessing/
DEPENDPATH  += ../htmlprocessing/
INCLUDEPATH += ../clientskel/
DEPENDPATH  += ../clientskel/
INCLUDEPATH += ../../src/
DEPENDPATH  += ../../src/

HEADERS   =\
  attributemarshall.h\
  blockdev.h\
  collectionmanager.h\
  config.h\
  datacollection.h\
  eventprocessor.h\
  filefolder.h\
  indexclass.h\
  localmailfolder.h\
  mailfolder.h\
  messagedescriptor.h\
  messagedevice.h\
  messagefactory.h\
  orb.h\
  remotemailfolder.h\
  servercommgate.h\
  servernotifier.h\
  serverrmi.h\
  serverrmistub.h\
  syncfileiohandler.h\
  transactionserver.h

SOURCES  +=\
  attributemarshall.cpp\
  blockdev.cpp\
  collectionmanager.cpp\
  datacollection.cpp\
  eventprocessor.cpp\
  filefolder.cpp\
  indexclass.cpp\
  localmailfolder.cpp\
  mailfolder.cpp\
  messagedescriptor.cpp\
  messagedevice.cpp\
  messagefactory.cpp\
  orb.cpp\
  orb_copy.cpp\
  orb_create.cpp\
  orb_get.cpp\
  orb_move.cpp\
  orb_remove.cpp\
  orb_send.cpp\
  orb_set.cpp\
  remotemailfolder.cpp\
  servercommgate.cpp\
  servernotifier.cpp\
  serverrmi.cpp\
  serverrmistub.cpp\
  syncfileiohandler.cpp\
  transactionserver.cpp

aetheraincludes.path    = $$AETHERA_INCLUDE
aetheraincludes.files   = $$HEADERS
INSTALLS               += aetheraincludes

