include(../../defines.pri)

TEMPLATE       = lib
# VERSION        = 1.0.0
TARGET         = tino
CONFIG        += dll

INCLUDEPATH   += .

SOURCES       +=  uipart.cpp \
                  uipartmanager.cpp \
                  uipartprivate.cpp \
                  uipartmanagerprivate.cpp

HEADERS       +=  uipart.h \
                  uipartmanager.h \
                  uipartprivate.h \
                  uipartmanagerprivate.h \
		  tino.h

win32 {
DEFINES += TINO_EXPORTS

LIBS          += libkore.lib
}

mac_osx {
QMAKE_LFLAGS_SONAME  = -Wl,-install_name,@executable_path/../Frameworks/
QMAKE_LFLAGS += -r
}

unix {
  UI_DIR = .tmp
  MOC_DIR = .tmp
  OBJECTS_DIR = .tmp

LIBS          += -L/usr/local/lib -lkore

tino.path          = $$TINO_LIB/
tino.files         = libtino.so.1.0.0
tino.extra = \
  cd $$TINO_LIB; \
  rm -f libtino.so.1; \
  ln -s libtino.so.1.0.0 libtino.so.1; \
  rm -f libtino.so; \
  ln -s libtino.so.1.0.0 libtino.so;
INSTALLS          += tino

tinoincludes.path    = $$TINO_INCLUDE/
tinoincludes.files   = $$HEADERS
INSTALLS            += tinoincludes
}

