
/***************************************************************************
    begin                : Fri Jan 18 21:42:04 EET 2002
    copyright            : (C) 2002 by theKompany.com
    author               : Iulian Ghiciuc
 ***************************************************************************/
/*
QT signal/slot handler class
*/

#ifndef KOM_EVENT_ALARM_HANDLER
#define KOM_EVENT_ALARM_HANDLER

//QT includes
#include <qobject.h>

//own includes
#include <komaetheraplugin.h>

class KomEventAlarmHandler : public QObject
{
  Q_OBJECT
  
  public:
    KomEventAlarmHandler( KomAetheraService* owner );
    ~KomEventAlarmHandler();

  public slots:
    void slotCheckEvents();
    void slotUseAlarm(bool);

  private:
    KomAetheraService* m_owner;
 };

#endif //KOM_EVENT_ALARM_HANDLER

