/***************************************************************************
                          popupwidget.h  -  description
                             -------------------
    begin                : Sat Sep 13 2003
    copyright            : (C) 2003 by thekompany
    email                : bodivlad@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef POP_UP_WIDGET
#define POP_UP_WIDGET

//own includes
#include <popupwidgetbase.h>

//qt includes
#include <qlistview.h>
#include <qvaluelist.h>

//KOPlugin includes
#include <calendarobject.h>
#include <event.h>

#define EventViewItem_RTTI  10100

class EventViewItem : public QListViewItem
{
  public:
  
    EventViewItem();
    EventViewItem(QListView *parent, KCal::Event * ev);
    virtual ~EventViewItem();
     
    virtual int rtti();

    KCal::Event * getEvent();

  private:
  
    KCal::Event * event;
};


class PopUpWidget : public PopUpWidgetBase
{
  Q_OBJECT
  public:
    PopUpWidget();
    PopUpWidget( QValueList<KCal::Event> & lst);
    virtual ~PopUpWidget();

  public slots:
    void displayDescription( QListViewItem* );
};

#endif //POP_UP_WIDGET

