/*
    Copyright (C) 2001-2002 by theKompany.com <www.thekompany.com>
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either EXCHANGE_VERSION 2 of the License, or
    (at your option) any later EXCHANGE_VERSION.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    In addition, as a special exception, theKompany.com gives permission
    to link the code of this program with the tkwidgets library (or with
    modified EXCHANGE_VERSIONs of tkwidgets that use the same license as tkwidgets),
    and distribute linked combinations including the two.  You must obey
    the GNU General Public License in all respects for all of the code used
    other than tkwidgets.  If you modify this file, you may extend this
    exception to your EXCHANGE_VERSION of the file, but you are not obligated to do so.
    If you do not wish to do so, delete this exception statement from your
    EXCHANGE_VERSION.

    This license grants you the ability to use tkwidgets with Aethera only
    and may not be used outside of Aethera.
    See also http://www.thekompany.com/products/license.txt for details.
---------------------------------------------------------------------------------
  Date     : 05 August 2003
  Author   : Ghiciuc Ilie (ilie@eco-spaces.com.ro)
---------------------------------------------------------------------------------
*/

//own includes
#include "komexchangeplugin.h"

static const char* libkpimexchangeplugin_metainfo[][2]=
{
    { "/kore/library", "~kpimexchangeplugin" },
    { "~kpimexchangeplugin/name", KPIMEXCHANGE_PLUGIN_NAME },
    { "~kpimexchangeplugin/description", KPIMEXCHANGE_PLUGIN_DESCRIPTION },
    { "~kpimexchangeplugin/component", "~ExchangeService" },
//
    { "~ExchangeService/name", EXCHANGESERVICE_NAME },
    { "~ExchangeService/class", "KPimExchangeService" },
    { "~ExchangeService/class/fqn", "KPimExchangeService" },
    { "~ExchangeService/description", EXCHANGESERVICE_SERVICE_DESCRIPTION },
    { "~ExchangeService/factory", "kpimexchangeservice_factory" },
    { "~ExchangeService/service", EXCHANGESERVICE_SERVICE },
    { "~ExchangeService/type", "Plugin" },
    { "~ExchangeService/EXCHANGE_VERSION", EXCHANGE_VERSION },
    { "~ExchangeService/EXCHANGE_VERSION/major", EXCHANGE_VERSION_MAJOR },
    { "~ExchangeService/EXCHANGE_VERSION/minor", EXCHANGE_VERSION_MINOR },
    { "~ExchangeService/EXCHANGE_VERSION/release",  },
    { "~ExchangeService/api/EXCHANGE_VERSION",EXCHANGE_VERSION_RELEASE  },
    { "~ExchangeService/api/EXCHANGE_VERSION/major", EXCHANGE_VERSION_MAJOR },
    { "~ExchangeService/api/EXCHANGE_VERSION/minor",EXCHANGE_VERSION_MINOR  },
    { "~ExchangeService/api/EXCHANGE_VERSION/release", EXCHANGE_VERSION_RELEASE },
    { "~ExchangeService/service", "/kore/service/interface" },
    { "~ExchangeService/service", AETHERA_SERVICE },
    { "~ExchangeService/service", EXCHANGESERVICE_SERVICE },
    { 0, 0 }
};


// the metainfo should be generated dynamicaly but I am not ready
// see the static methods from KomAetheraService 
kore::MetaInfo* kpimexchange_metainfo()
{
  static kore::MetaInfo* info = 0;
  if( !info )
  {
    info = new kore::MetaInfo(libkpimexchangeplugin_metainfo);
  }
  return info;
}
