// vim:tabstop=2:shiftwidth=2:expandtab:cinoptions=(s,U1,m1

#include "kglobal.h"
#include "klocale.h"
#include "kconfig.h"
#include "kiconloader.h"
#include "kstandarddirs.h"

namespace K
{
  static KLocale        * locale      = 0L;
  static KConfig        * config      = 0L;
  static KIconLoader    * iconLoader  = 0L;
  static KStandardDirs  * dirs        = 0L;
}


  KLocale *
KGlobal::locale()
{
  if (0 == K::locale)
    K::locale = new KLocale;

  return K::locale;
}

  KConfig *
KGlobal::config()
{
  if (0 == K::config)
    K::config = new KConfig;

  return K::config;
}

  KIconLoader *
KGlobal::iconLoader()
{
  if (0 == K::iconLoader)
    K::iconLoader = new KIconLoader;

  return K::iconLoader;
}

  KStandardDirs *
KGlobal::dirs()
{
  if (0 == K::dirs)
    K::dirs = new KStandardDirs;

  return K::dirs;
}
