#ifndef MINIKDE_PROGRESS
#define MINIKDE_PROGRESS

//own includes
#include "kdialog.h"

//qt includes
#include <qprogressbar.h>

class KProgress : public QProgressBar
{
  public:
    void setValue( int progress );
};

class KProgressDialog : public KDialog
{
  public:
    KProgressDialog
      ( QWidget* parent=0L, 
        const char* name=0L, 
        const QString& caption=QString::null,
        const QString& text=QString::null,
        bool modal=false
      );
      
    void setAutoClose( bool close );
    void setLabel( const QString& label );
    KProgress* progressBar();
};

#endif

