#ifndef _IMAGE_EFFECT_H
#define _IMAGE_EFFECT_H

#include <defines.h>

class QImage;
class QPixmap;

/**
 * Applies effects to icons.
 */
class TKCBASE_API ImageEffect
{
  public:
    ImageEffect();
    ~ImageEffect();

    enum Effects { NoEffect, ToGray, ToGamma, DeSaturate, SemiTransparentEffect };

    static void deSaturate(QPixmap &pixmap, double value);
    static void toGamma(QImage &image, double value=0.7);
    static void toGray(QPixmap &pm, double value);
    static void semiTransparent(QPixmap &pixmap);
    static void semiTransparent(QImage &image);
};

#endif
