
#include <defines.h>

#ifdef _QTE_
#include <qpe/qpeapplication.h>
#else
#include <qapplication.h>
#endif

#include <qdir.h>
#include <qstringlist.h>

#include <stdlib.h>

const char * AppName = "tkcBase";
const char * AppMIME = "application/";
const char * AppVersion = "1.0";
const char * FullAppName = "tkcBase 1.0";

int main(int argc, char *argv[])
{
#ifdef _QTE_
  QPEApplication app(argc, argv);
  
  // languages support
  QString language = getenv("LANG");
  
  if( "fr" == language.lower() )
  {
    QString languagePath = QPEApplication::qpeDir() + "/i18n/" + language + "/" + AppName + ".qm";
    QTranslator * translator = new QTranslator(&app);
    
    if( translator->load( languagePath ) )
      app.installTranslator( translator );
    else
      delete translator;
  }
  
#else
  QApplication app(argc, argv, FullAppName);
  
#endif
 
  return app.exec();
}
