include(../defines.pri)

TEMPLATE = lib
TARGET = webdav
CONFIG += staticlib

unix {
    VERSION = 1.0.0
}

INCLUDEPATH += .
DEPENDPATH += .

SOURCES = authorization.cpp\
    webdav.cpp\
    webdavrequestheader.cpp\
    webdavresponseheader.cpp\
    base64encoder.cpp
    
HEADERS = authorization.h\
    webdav.h\
    webdavrequestheader.h\
    webdavresponseheader.h\
    webdavparser.h\
    base64encoder.h
    
unix {
webdav.path     = $$WEBDAV_LIB/
webdav.files    = libwebdav.a
INSTALLS          += webdav

webdavincludes.path    = $$WEBDAV_INCLUDE/
webdavincludes.files   = $$HEADERS
INSTALLS               += webdavincludes
}