//
// C++ Implementation: evano
//
// Description: 
//
//
// Author: Eugen Constantinescu <eug@thekompany.com>
//
// Copyright: (C) 2005 theKompany.com
//
//

#include "evano.h"

class EVANOPrivate
{
  public:
  
    EVANOPrivate(EVANO *);
    EVANOPrivate(EVANO *, const QString&, const QString&);
    
    ~EVANOPrivate();
    
    QString parentId;
    QString group;
    QString name;
    QString description;
    QString soundPath;
    
    bool enabled;
    bool sound;
    bool popup;
    bool tray;
    bool status;
    bool log;
    
  private:
    
    EVANO * parent_;
};

EVANOPrivate::EVANOPrivate(EVANO * parent)
  : parent_(parent)
{
}

EVANOPrivate::EVANOPrivate( EVANO * parent,
                            const QString & parentName,
                            const QString& settingsGroup )
  : parent_(parent)
{
}

EVANOPrivate::~EVANOPrivate()
{
}

//##################

EVANO::EVANO()
{
}

EVANO::EVANO(const QString & parent, const QString & settingsGroup)
{
}

EVANO::~EVANO()
{
}

bool EVANO::saveSettings()
{
}

bool EVANO::loadSettings()
{
}

void EVANO::setEnabled(bool)
{
}

bool EVANO::enabled() const
{
}

void EVANO::setSoundEnabled(bool)
{
}

bool EVANO::soundEnabled() const
{
}

void EVANO::setPopupEnabled(bool)
{
}

bool EVANO::popupEnabled() const
{
}

void EVANO::setTrayEnabled(bool)
{
}

bool EVANO::trayEnabled() const
{
}

void EVANO::setStatusEnabled(bool)
{
}

bool EVANO::statusEnabled() const
{
}

void EVANO::setLogEnabled(bool)
{
}

bool EVANO::logEnabled() const
{
}

void EVANO::setName(const QString &)
{
}

QString EVANO::name() const
{
}

void EVANO::setDescription(const QString &)
{
}

QString EVANO::description() const
{
}

void EVANO::setParent(const QString &)
{
}

QString EVANO::parent() const
{
}

void EVANO::setGroup(const QString &)
{
}

QString EVANO::group() const
{
}

void EVANO::setSoundPath(const QString &)
{
}

QString EVANO::soundPath() const
{
}

QString EVANO::log() const
{
}

