include(../../../defines.pri)

TEMPLATE  = lib
CONFIG   += dll

win32 {
TARGET    = libhomeplugin
DEFINES  += HOME_PLUGIN_EXPORTS
}

unix {
TARGET    = homeplugin
VERSION   = 1.0.0
}

INCLUDEPATH += .
INCLUDEPATH += ../../
DEPENDPATH  += ../../
INCLUDEPATH += ../../../
DEPENDPATH  += ../../../
INCLUDEPATH += ../../aethera/
DEPENDPATH  += ../../aethera/
INCLUDEPATH += ../../clientskel/
DEPENDPATH  += ../../clientskel/

FORMS +=\
  icaodialogbase.ui\
  urllist.ui

HEADERS   =\
  homeconfighandler.h\
  homeconfigservice.h\
  homelanguageservice.h\
  homeplugin.h\
  homeuihandler.h\
  homeuiservice.h\
  icaodialog.h\
  reportviewer.h\
  rssviewer.h\
  weatherlib.h\
  weatherviewer.h

SOURCES  +=\
  homeconfighandler.cpp\
  homeconfigservice.cpp\
  homelanguageservice.cpp\
  homeplugin.cpp\
  homeuihandler.cpp\
  homeuiservice.cpp\
  icaodialog.cpp\
  reportviewer.cpp\
  rssviewer.cpp\
  weatherlib.cpp\
  weatherviewer.cpp
  
TRANSLATIONS  = \
  homeplugin_ro.ts \
  homeplugin_fr.ts \
  homeplugin_de.ts \
  homeplugin_en.ts

win32 {
LIBS  += ../../aethera/aethera.lib ../../tino/tino.lib
LIBS  += tkcbase.lib tkcssl.lib libkore.lib
}

unix {
LIBS  += -L../../aethera -L../../tino -L/usr/local/lib -laethera -lkore -ltino -ltkcbase

homeplugin.path   = $$AETHERA_DIR/plugins/
homeplugin.files  = lib*.so.1.0.0
INSTALLS          += homeplugin

  homeplugin.extra = \
  cd $$AETHERA_DIR/plugins; \
  rm -f libhomeplugin.so.1.0; \
  ln -s libhomeplugin.so.1.0.0 \
        libhomeplugin.so.1.0; \
  rm -f libhomeplugin.so.1; \
  ln -s libhomeplugin.so.1.0 \
        libhomeplugin.so.1; \
  rm -f libhomeplugin.so; \
  ln -s libhomeplugin.so.1 \
        libhomeplugin.so
}
