/*
    Copyright (C) 2001-2002 by theKompany.com <www.thekompany.com>
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    By PLUGINS we mean the commercial plug-ins developed by theKompany.com
    for Aethera.

    In addition, as a special exception, theKompany.com gives permission
    to link the code of this program with PLUGINS (or with
    modified versions of PLUGINS that use the same license as PLUGINS),
    and distribute linked combinations including the two.  You must obey
    the GNU General Public License in all respects for all of the code used
    other than PLUGINS.  If you modify this file, you may extend this
    exception to your version of the file, but you are not obligated to do so.
    If you do not wish to do so, delete this exception statement from your
    version.

    This license grants you the ability to use PLUGINS with Aethera only
    and may not be used outside of Aethera.
    See also http://www.thekompany.com/products/license.txt for details.
*/
/****************************************************************************
** Form implementation generated from reading ui file 'uic/saveformatdialog.ui'
**
** Created: Sun Nov 26 00:34:27 2000
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "saveformatdialog.h"

#include <defines.h>

#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a SaveFormatDialog which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
SaveFormatDialog::SaveFormatDialog( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
  if ( !name )
  setName( "SaveFormatForm" );
  resize( 350, 205 ); 
  setMaximumSize( QSize( 350, 205 ) );
  
#if HANCOM
  setCaption( tr( "Quicksilver: Select format"  ) );
#else
  setCaption( tr( "Aethera: Select format"  ) );
#endif

  setMinimumSize( QSize( 350, 205 ) );

  ButtonGroup1 = new QButtonGroup( this, "ButtonGroup1" );
  ButtonGroup1->setGeometry( QRect( 10, 5, 330, 125 ) ); 
  ButtonGroup1->setTitle( tr( "Select format"  ) );

  formattedHTMLRadio = new QRadioButton( ButtonGroup1, "formattedHTMLRadio" );
  formattedHTMLRadio->setGeometry( QRect( 10, 20, 310, 20 ) ); 
  formattedHTMLRadio->setText( tr( "Formatted HTML source (HTML)"  ) );

  originalHTMLRadio = new QRadioButton( ButtonGroup1, "originalHTMLRadio" );
  originalHTMLRadio->setGeometry( QRect( 10, 40, 310, 20 ) ); 
  originalHTMLRadio->setText( tr( "Original HTML source (HTML)"  ) );

  formattedTextRadio = new QRadioButton( ButtonGroup1, "formattedTextRadio" );
  formattedTextRadio->setGeometry( QRect( 10, 60, 310, 21 ) ); 
  formattedTextRadio->setText( tr( "Formatted text (HTML)"  ) );

  originalTextRadio = new QRadioButton( ButtonGroup1, "originalTextRadio" );
  originalTextRadio->setGeometry( QRect( 10, 80, 310, 20 ) ); 
  originalTextRadio->setText( tr( "Original text (plain text)"  ) );

  entireMessageRadio = new QRadioButton( ButtonGroup1, "entireMessageRadio" );
  entireMessageRadio->setGeometry( QRect( 10, 100, 310, 21 ) ); 
  entireMessageRadio->setText( tr( "Entire message (plain text in Internet format)"  ) );
  entireMessageRadio->setChecked( TRUE );

  saveImagesCheckbox = new QCheckBox( this, "saveImagesCheckbox" );
  saveImagesCheckbox->setGeometry( QRect( 70, 135, 211, 25 ) ); 
  saveImagesCheckbox->setText( tr( "&Save additional document images"  ) );
  saveImagesCheckbox->setEnabled( FALSE );

  okButton = new QPushButton( this, "okButton" );
  okButton->setGeometry( QRect( 90, 165, 80, 30 ) ); 
  okButton->setText( tr( "&Ok"  ) );
  okButton->setDefault( TRUE );

  cancelButton = new QPushButton( this, "cancelButton" );
  cancelButton->setGeometry( QRect( 180, 165, 80, 30 ) ); 
  cancelButton->setText( tr( "&Cancel"  ) );

  // signals and slots connections
  connect( okButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
  connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
SaveFormatDialog::~SaveFormatDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

