include(../../../defines.pri)

TEMPLATE  = lib
CONFIG   += dll

win32 {
TARGET    = libmailimport
DEFINES  += MAILIMPORT_PLUGIN_EXPORTS
}

unix {
TARGET    = mailimport
VERSION   = 1.0.0
}

INCLUDEPATH += .
INCLUDEPATH += ../../
DEPENDPATH  += ../../
INCLUDEPATH += ../../../
DEPENDPATH  += ../../../
INCLUDEPATH += ../../aethera/
DEPENDPATH  += ../../aethera/
INCLUDEPATH += ../../clientskel/
DEPENDPATH  += ../../clientskel/

FORMS +=\
  mailimportsetupbase.ui

SOURCES =\
  SAMport.cpp\
  SAMport_oebox.cpp\
  SAMport_umbox.cpp\
  mailimportlanguageservice.cpp\
  mailimportplugin.cpp\
  mailimportservice.cpp\
  liboe.cpp\
  mailimportsetup.cpp

HEADERS =\
  SAMport.h\
  SAMport_oebox.h\
  SAMport_umbox.h\
  liboe.h\
  mailimportlanguageservice.h\
  mailimportplugin.h\
  mailimportservice.h\
  mailimportinterface.h\
  mailimportsetup.h
  
TRANSLATIONS  = \
  mailimportplugin_ro.ts \
  mailimportplugin_fr.ts \
  mailimportplugin_de.ts \
  mailimportplugin_en.ts

win32 {
LIBS  += ../../aethera/aethera.lib
LIBS  += tkcbase.lib libkore.lib
}

unix {
  LIBS  += -L../../aethera -L../../tino -L/usr/local/lib -laethera -lkore -ltino -ltkcbase
  
mailimportlib.path    = $$AETHERA_DIR/plugins/
mailimportlib.files   = lib*.so.1.0.0
INSTALLS          += mailimportlib

  mailimportlib.extra = \
    cd $$AETHERA_DIR/plugins; \
    rm -f libmailimport.so.1.0; \
    ln -s libmailimport.so.1.0.0 \
          libmailimport.so.1.0; \
    rm -f libmailimport.so.1; \
    ln -s libmailimport.so.1.0 \
          libmailimport.so.1; \
    rm -f libmailimport.so; \
    ln -s libmailimport.so.1 \
          libmailimport.so
}

