#!/bin/sh

FILE=translations.pro
> $FILE
echo -n "SOURCES =" >> $FILE
for i in `find ./ -name "*.c*" -print`
do
  echo -e " \\" >> $FILE
  echo -n "  "$i >> $FILE
done
echo >> $FILE
echo >> $FILE
echo -n "HEADERS =" >> $FILE
for i in `find ./ -name "*.h" -print`
do
  echo -e " \\" >> $FILE
  echo -n "  "$i >> $FILE
done
echo >> $FILE
echo >> $FILE
echo -n "FORMS =" >> $FILE
for i in `find ./ -name "*.ui" -print`
do
  echo -e " \\" >> $FILE
  echo -n "  "$i >> $FILE
done
echo >> $FILE
echo >> $FILE
echo -e "TRANSLATIONS = \\" >> $FILE
echo -e "  aethera_ro.ts \\" >> $FILE
echo -e "  aethera_ru.ts \\" >> $FILE
echo -e "  aethera_fr.ts \\" >> $FILE
echo -e "  aethera_de.ts \\" >> $FILE
echo -e "  aethera_ja.ts \\" >> $FILE
echo -e "  aethera_pt.ts \\" >> $FILE
echo -e "  aethera_en.ts" >> $FILE
echo >> $FILE

lupdate ./$FILE

lrelease ./$FILE
