/***************************************************************************
                          alarmconfigservice.h  -  description
                             -------------------
    begin                : Wed Sep 3 2003
    copyright            : (C) 2003 by theKompany
    author               : Eugen Constantinescu <eug@thekompany.com>
    author                : Vlad Bodi <bodivlad@hotmail.com>
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/



#ifndef ALARM_CONFIG_SERVICE_H
#define ALARM_CONFIG_SERVICE_H

//Aethera includes
#include <komaetheraplugin.h>

//QT includes
#include <qwidget.h>


extern "C"
{
    DATEBOOK_PLUGIN_API kore::Interface* alarmconfigservice_factory();
};

class AlarmConfigService : public KomConfigService
{
public:

  AlarmConfigService();

  virtual ~AlarmConfigService();

  virtual QPixmap icon();
  virtual QString caption();

  virtual void load();
  virtual void save();
  virtual void defaults();

  virtual bool modified();

  virtual QWidget* init(QWidget * parent);

protected:
  class Private;
  Private * d;
};

#endif
