
#ifndef CALENDARLISTVIEWITEM_H
#define CALENDARLISTVIEWITEM_H

#include <qlistview.h>

#include <vfsmodule.h>

class CalendarObject;

#define CALENDAR_ITEM_ID          5001

/**The Calendar object info showed in the list view.
  *@author Eugen C. <eug@thekompany.com>
  */

class CalendarListViewItem : public QListViewItem
{
  public: 
    CalendarListViewItem(VFSModule*, const QString &, QListView*);
    virtual ~CalendarListViewItem();

    virtual void update();
    virtual QString path();
    virtual int rtti() const;
    virtual CalendarObject *vObject() const;
    
  private:
    QString key(int, bool) const;
    
    class Private;
    Private * d;
};

#endif
