/***************************************************************************
         calendarobjectview.h  - 
                             -------------------
    begin                : Fri Jan 18 21:44:25 EET 2002
    copyright            : (C) 2002 by theKompany.com
    author               : Eugen C. <eug@thekompany.com>
 ***************************************************************************/

#ifndef CALENDAROBJECTVIEW_H
#define CALENDAROBJECTVIEW_H

#include "calendarview.h"

class VFSModule;

/**The edit/view calendar object class.
  *@author Eugen C. <eug@thekompany.com>
  */

class CalendarObjectView : public CalendarView
{
  Q_OBJECT
  
  public: 
  
    CalendarObjectView(VFSModule * vfs, QWidget * parent=0, const char * name=0);
    virtual ~CalendarObjectView();
    
    virtual QString getCurrentObject() const;
    
  public slots:
  
    void slotSetObject(const QString &);
    void slotClear();
    
    void slotSaveObject();
    
    virtual void update();
    
  private:
  
    class Private;
    Private * d;
};

#endif
