/***************************************************************************
                          kolanguageservice.cpp  -  description
                             -------------------
    begin                : Sat Oct 4 2003
    copyright            : (C) 2003 by theKompany
    email                : eug@eco-spaces.com.ro
    email                : vlad@eco-spaces.com.ro
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#include "kolanguageservice.h"

kore::Interface* kolanguageservice_factory()
{
  return new KOLanguageService();
}

KOLanguageService::KOLanguageService()
  : KomLanguageService()
{
  MetaInfo *info = metaInfo();

  info->replaceAll("name", "KO Language Service");
  info->replaceAll("class", "KOLanguageService");
  info->replaceAll("class/fqn", "KOLanguageService");
  info->replaceAll("factory", "kolanguageservice_factory");
}

KOLanguageService::~KOLanguageService()
{
}

QString KOLanguageService::translator()
{
  return QString("koplugin");
}
