#ifndef KOMKO_BACKENDSERVICE_H
#define KOMKO_BACKENDSERVICE_H

#include <komaetheraplugin.h>

#include "calendarobject.h"

#define AETHERA_CALENDAR_BACKENDSERVICE "/Aethera/Backend/Calendar"
#define AETHERA_CALENDAR_BACKENDSERVICE_DESC "Aethera Backend service for Calendar"

extern "C"
{
    DATEBOOK_PLUGIN_API kore::Interface* komkobackendservice_factory();
};

class DATEBOOK_PLUGIN_API KomKOBackendService : public KomBackendService
{
  public:
    /** Constructors and destructor.*/
    KomKOBackendService();
    virtual ~KomKOBackendService();

    /** Return a factory for building JabberObjects.*/
    virtual VObjectFactory* vobjectFactory();
    
    virtual QStringList systemFolders() const;
    
    virtual QString backendType() const;
};

#endif





