include(../defines.pri)

TEMPLATE  = lib

TARGET    = kcal

CONFIG    += staticlib

HEADERS   = \
  alarm.h \
  attendee.h \
  calendar.h \
  calendarlocal.h \
  calfilter.h \
  calformat.h \
  calstorage.h \
  compat.h \
  dndfactory.h \
  dummyscheduler.h \
  duration.h \
  event.h \
  exceptions.h \
  filestorage.h \
  freebusy.h \
  icaldrag.h \
  icalformat.h \
  icalformatimpl.h \
  imipscheduler.h \
  incidencebase.h \
  incidence.h \
  journal.h \
  period.h \
  person.h \
  recurrence.h \
  scheduler.h \
  todo.h \
  vcaldrag.h \
  vcalformat.h \
  versit/port.h \
  versit/vcc.h \
  versit/vobject.h

SOURCES   = \
  alarm.cpp \
  attendee.cpp \
  calendar.cpp \
  calendarlocal.cpp \
  calfilter.cpp \
  calformat.cpp \
  compat.cpp \
  dndfactory.cpp \
  dummyscheduler.cpp \
  duration.cpp \
  event.cpp \
  exceptions.cpp \
  filestorage.cpp \
  freebusy.cpp \
  icaldrag.cpp \
  icalformat.cpp \
  icalformatimpl.cpp \
  imipscheduler.cpp \
  incidencebase.cpp \
  incidence.cpp \
  journal.cpp \
  period.cpp \
  person.cpp \
  recurrence.cpp \
  scheduler.cpp \
  todo.cpp \
  vcaldrag.cpp \
  vcalformat.cpp \
  versit/vcc.c \
  versit/vobject.c

INCLUDEPATH += /usr/local/include/tkcbase

INCLUDEPATH += ../minikde 
DEPENDPATH += ../minikde
INCLUDEPATH += versit
DEPENDPATH += versit
INCLUDEPATH += ../libical/src/libical
DEPENDPATH += ../libical/src/libical
INCLUDEPATH += ../libical/src/libicalss
DEPENDPATH += ../libical/src/libicalss

