/*
    Copyright (C) 2001-2002 by theKompany.com <www.thekompany.com>
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    In addition, as a special exception, theKompany.com gives permission
    to link the code of this program with the tkwidgets library (or with
    modified versions of tkwidgets that use the same license as tkwidgets),
    and distribute linked combinations including the two.  You must obey
    the GNU General Public License in all respects for all of the code used
    other than tkwidgets.  If you modify this file, you may extend this
    exception to your version of the file, but you are not obligated to do so.
    If you do not wish to do so, delete this exception statement from your
    version.

    This license grants you the ability to use tkwidgets with Aethera only
    and may not be used outside of Aethera.
    See also http://www.thekompany.com/products/license.txt for details.
---------------------------------------------------------------------------------
  Date     : 05 August 2003
  Author   : Ghiciuc Ilie (ilie@eco-spaces.com.ro)
---------------------------------------------------------------------------------
*/


#ifndef KOM_EXCHANGE_PLUGIN
#define KOM_EXCHANGE_PLUGIN

#include "kpimexchangeservice.h"

#define KPIMEXCHANGE_PLUGIN_NAME "KPimExchange"
#define KPIMEXCHANGE_PLUGIN_DESCRIPTION "Exchange server calendar sync plugin"

#define EXCHANGE_VERSION_MAJOR   "0"
#define EXCHANGE_VERSION_MINOR   "1"
#define EXCHANGE_VERSION_RELEASE "0"
#define EXCHANGE_VERSION         EXCHANGE_VERSION_MAJOR "." EXCHANGE_VERSION_MINOR "." EXCHANGE_VERSION_RELEASE

extern "C"
{
    kore::MetaInfo* kpimexchange_metainfo();
};

#endif

