#ifndef KCHARSETS_H
#define KCHARSETS_H

#include <qstring.h>
#include <qmap.h>

typedef QMap<QString, QString> CodecsMap;

class KCharSets
{
  public:
    KCharSets();
    virtual ~KCharSets();
    
    static KCharSets* thisInstance();
    
    QString fromQTCodec(const QString &qtCodec);
    
    QString getDefaultCharset();
    
  protected:
    static KCharSets* instance;
    
    CodecsMap codecs;
};

#endif
