
#include "kiconloader.h"

#include <dirs.h>

QPixmap KIconLoader::loadIcon( const QString &name, int )
{
  return BarIcon(name);
}

void KIconLoader::loadIcon( const QString &name,
                            KIcon::Group,
                            KIcon::StdSizes,
                            KIcon::States,
                            QString * path)
{
  *path = QIconLoader::instance()->iconPath(name);
}

void KIconLoader::loadIcon( const QString &name,
                            KIcon::Group,
                            int,
                            KIcon::States,
                            QString * path)
{
  *path = QIconLoader::instance()->iconPath(name);
}

QString KIconLoader::iconPath( const QString &name, int )
{
  return Dirs::locate("icons/" + name);
}

//QPixmap BarIcon( const QString & )
//{
//  return QPixmap();
//}

//QPixmap DesktopIcon( const QString &name, int )
//{
//  return BarIcon(name);
//}

//QPixmap SmallIcon( const QString &name )
//{
//  return BarIcon(name);
//}

//QPixmap SmallIconSet( const QString &name )
//{
//  return BarIcon(name);
//}

