#ifndef MINIKDE_KIO_JOB_H
#define MINIKDE_KIO_JOB_H

//own includes
#include "kurl.h"

//QT includes
#include <qobject.h>
#include <qwidget.h>
#include <qstring.h>

namespace KIO {

class SimpleJob;

enum Error
{
  ERR_DOES_NOT_EXIST=0
};

class Job : public QObject
{
  Q_OBJECT
  
  public:
    Job();
    bool error();
    QString errorString() const;
    void showErrorDialog( QWidget* parent=0L );
    
    void setWindow( QWidget* window );
  
  signals:
    void result( Job* );

};

SimpleJob* file_delete( const KURL& src, bool showProgressDialog=true );

}

#endif
