include(../defines.pri)

TEMPLATE = lib
CONFIG += staticlib

INCLUDEPATH += .
DEPENDPATH += .

unix {
  INCLUDEPATH += /usr/local/include/webdav/
  DEPENDPATH += /usr/local/include/webdav/
}

win32 {
  INCLUDEPATH += $(MSVCDIR)\include\webdav
  DEPENDPATH  += $(MSVCDIR)\include\webdav
}

# Input
HEADERS += \
  dcopclient.h \
  kapplication.h \
  kcharsets.h \
  kcolorbutton.h \
  kcolordialog.h \
  kconfig.h \
  kdateedit.h \
  kdatepicker.h \
  kdatetbl.h \
  kdebug.h \
  kdialogbase.h \
  kdialog.h \
  kemailsettings.h \
  kfiledialog.h \
  kfontdialog.h \
  kglobal.h \
  kglobalsettings.h \
  kiconloader.h \
  klineedit.h \
  klistview.h \
  klocale.h \
  kmessagebox.h \
  knotifyclient.h \
  knumvalidator.h \
  kprinter.h \
  kprocess.h \
  krestrictedline.h \
  krun.h \
  kseparator.h \
  ksimpleconfig.h \
  kstandarddirs.h \
  kstaticdeleter.h \
  kstddirs.h \
  ktempfile.h \
  ktimeedit.h \
  kunload.h \
  kurl.h \
  kurlrequester.h\
  kprogress.h\
  krandomsequence.h\
  krfcdate.h\
  kaboutdata.h\
  kaction.h\
  kapp.h\
  kcmdlineargs.h\
  kcursor.h\
  kio/authinfo.h\
  kio/davjob.h\
  kio/http.h\
  kio/job.h \
  kio/jobclasses.h\
  kio/netaccess.h\
  kio/scheduler.h\
  kio/slavebase.h\
  kio/slave.h

SOURCES += \
  dcopclient.cpp \
  kapplication.cpp \
  kcharsets.cpp \
  kcolorbutton.cpp \
  kcolordialog.cpp \
  kconfig.cpp \
  kdateedit.cpp \
  kdatepicker.cpp \
  kdatetbl.cpp \
  kdialogbase.cpp \
  kdialog.cpp \
  kemailsettings.cpp \
  kfontdialog.cpp \
  kglobal.cpp \
  kglobalsettings.cpp \
  kiconloader.cpp \
  klocale.cpp \
  kmessagebox.cpp \
  knumvalidator.cpp \
  kprocess.cpp \
  krun.cpp \
  kseparator.cpp \
  kstandarddirs.cpp \
  ktempfile.cpp \
  ktimeedit.cpp \
  kurl.cpp \
  kurlrequester.cpp\
  kprogress.cpp\
  krandomsequence.cpp\
  krfcdate.cpp\
  kaboutdata.cpp\
  kaction.cpp\
  kapp.cpp\
  kcmdlineargs.cpp\
  kcursor.cpp\
  kio/authinfo.cpp\
  kio/davjob.cpp\
  kio/http.cpp\
  kio/job.cpp\
  kio/jobclasses.cpp\
  kio/netaccess.cpp\
  kio/scheduler.cpp\
  kio/slavebase.cpp\
  kio/slave.cpp
