#include "about.h"

#ifdef _QTE_
#include <qpe/qpeapplication.h>
#else
#include <qapplication.h>
#endif

#include <qpixmap.h>
#include <qiconloader.h>

About::About(const QString & name)
  : QWidget(0, 0, WType_Modal),
    imageName(name)
{
  QPixmap pixmap = QIconLoader::instance()->loadIcon(imageName);
  
  setBackgroundPixmap(pixmap);

  showFullScreen();
  
  qApp->enter_loop();
}

void About::mouseReleaseEvent(QMouseEvent *)
{
  qApp->exit_loop();
}

void About::keyPressEvent(QKeyEvent *)
{
  qApp->exit_loop();
}

