include(defines.pri)

TEMPLATE  = lib
TARGET    = tkcbase
CONFIG   += dll

win32 {
INCLUDEPATH += $(MSVCDIR)\include\stlport

DEFINES += _REENTRANT _STLP_USE_OWN_NAMESPACE
}

unix {
VERSION   = 1.0.0
}

INCLUDEPATH += .
DEPENDPATH  += .

HEADERS   =\
  about.h\
  defines.h\
  dirs.h\
  externalbrowser.h\
  imageeffect.h\
  notificator.h\
  playsound.h\
  qiconloader.h\
  qsystemtrayicon.h\
  qsettingsextra.h\
  settings.h

SOURCES  +=\
  about.cpp\
  defines.cpp\
  dirs.cpp\
  externalbrowser.cpp\
  imageeffect.cpp\
  notificator.cpp\
  playsound.cpp\
  qiconloader.cpp\
  qsystemtrayicon.cpp\
  qsettingsextra.cpp\
  settings.cpp

unix {
  TKCBASE_LIBRARY  = libtkcbase.so.1.0.0
  TKCBASE_LINK1     = libtkcbase.so.1
  TKCBASE_LINK     = libtkcbase.so

  tkcbase.path     = $$TKCBASE_LIB/
  tkcbase.files    = $$TKCBASE_LIBRARY
  tkcbase.extra    = \
    cd $$TKCBASE_LIB; \
    rm -f $$TKCBASE_LINK; \
    ln -s $$TKCBASE_LIBRARY $$TKCBASE_LINK; \
    rm -f $$TKCBASE_LINK1; \
    ln -s $$TKCBASE_LIBRARY $$TKCBASE_LINK1;
  INSTALLS         += tkcbase

  includes.path    = $$TKCBASE_INCLUDE
  includes.files   = $$HEADERS
  INSTALLS         += includes
}

TRANSLATIONS = \
  tkcbase_ro.ts \
  tkcbase_de.ts \
  tkcbase_fr.ts
