include (defines.pri)

TEMPLATE  = lib
TARGET    = tkcssl

win32 {
INCLUDEPATH += $(MSVCDIR)\include\stlport
INCLUDEPATH += $(MSVCDIR)\include\openssl

DEFINES -= UNICODE
DEFINES += _REENTRANT _STLP_USE_OWN_NAMESPACE 
DEFINES += TKCSSL_EXPORTS
}

unix {
VERSION   = 1.0.0
}

INCLUDEPATH += .
DEPENDPATH  += .

HEADERS   = \
  library.h \
  libraryloader.h \
  sslbase.h \
  ssldevice.h \
  sslsocket.h

SOURCES  +=\
  library.cpp \
  libraryloader.cpp \
  sslbase.cpp \
  ssldevice.cpp \
  sslsocket.cpp

unix {

  TKCSSL_LIBRARY  = libtkcssl.so.1.0.0
  TKCSSL_LINK1    = libtkcssl.so.1
  TKCSSL_LINK     = libtkcssl.so
  
  tkcssl.path     = $$TKCSSL_LIB/
  tkcssl.files    = $$TKCSSL_LIBRARY
  tkcssl.extra    = \
    cd $$TKCSSL_LIB; \
    rm -f $$TKCSSL_LINK1; \
    ln -s $$TKCSSL_LIBRARY $$TKCSSL_LINK1; \
    rm -f $$TKCSSL_LINK; \
    ln -s $$TKCSSL_LIBRARY $$TKCSSL_LINK;
  INSTALLS          += tkcssl

  tkcsslincludes.path    = $$TKCSSL_INCLUDE
  tkcsslincludes.files   = $$HEADERS
  INSTALLS               += tkcsslincludes

}
