include(../../defines.pri)

TEMPLATE = lib
TARGET = filebrowser
CONFIG += dll

unix {
    VERSION = 1.0.0
}

INCLUDEPATH = ../../webdav
DEPENDPATH = ../../webdav

SOURCES = filebrowser.cpp\
    filebrowserparser.cpp\
    filebrowserrequest.cpp\
    filebrowserrequestlist.cpp
    
HEADERS = filebrowser.h\
    filebrowserparser.h\
    filebrowserrequest.h\
    davfsentitylist.h\
    filebrowserrequestlist.h

LIBS += -L../../webdav -lwebdav
    
unix {
filebrowser.path     = $$WEBDAV_LIB/
filebrowser.files    = libfilebrowser.so.1.0.0
filebrowser.extra = \
  cd $$WEBDAV_LIB; \
  rm -f libfilebrowser.so.1; \
  ln -s libfilebrowser.so.1.0.0 libfilebrowser.so.1; \
  rm -f libfilebrowser.so.1.0; \
  ln -s libfilebrowser.so.1.0.0 libfilebrowser.so.1.0; \
  rm -f libfilebrowser.so; \
  ln -s libfilebrowser.so.1.0.0 libfilebrowser.so;
INSTALLS          += filebrowser

filebrowserincludes.path    = $$WEBDAV_INCLUDE/modules/filebrowser
filebrowserincludes.files   = $$HEADERS
INSTALLS               += filebrowserincludes
}
